export interface StatusHistoryVO {
  /**
   * $column.columnComment
   */
  historyId: string | number;

  /**
   * $column.columnComment
   */
  tableName: string;

  /**
   * $column.columnComment
   */
  recordId: string | number;

  /**
   * $column.columnComment
   */
  statusColumn: string;

  /**
   * $column.columnComment
   */
  oldStatus: string;

  /**
   * $column.columnComment
   */
  newStatus: string;

  /**
   * $column.columnComment
   */
  originalChangedAt: string;
}

export interface StatusHistoryForm extends BaseEntity {
  /**
   * $column.columnComment
   */
  historyId?: string | number;

  /**
   * $column.columnComment
   */
  tableName?: string;

  /**
   * $column.columnComment
   */
  recordId?: string | number;

  /**
   * $column.columnComment
   */
  statusColumn?: string;

  /**
   * $column.columnComment
   */
  oldStatus?: string;

  /**
   * $column.columnComment
   */
  newStatus?: string;

  /**
   * $column.columnComment
   */
  originalChangedAt?: string;
}

export interface StatusHistoryQuery extends PageQuery {
  /**
   * $column.columnComment
   */
  historyId?: string | number;

  /**
   * $column.columnComment
   */
  tableName?: string;

  /**
   * $column.columnComment
   */
  recordId?: string | number;

  /**
   * $column.columnComment
   */
  statusColumn?: string;

  /**
   * $column.columnComment
   */
  oldStatus?: string;

  /**
   * $column.columnComment
   */
  newStatus?: string;

  /**
   * $column.columnComment
   */
  originalChangedAt?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
